public inbox for devel@edk2.groups.io
 help / color / mirror / Atom feed
From: Konrad Rzeszutek Wilk <konrad@kernel.org>
To: lersek@redhat.com, edk2-devel@ml01.01.org
Cc: xen-devel@lists.xenproject.org,
	Konrad Rzeszutek Wilk <konrad@kernel.org>
Subject: [PATCH v2] OvmfPkg/build.sh: Make GCC5 the default toolchain, catch GCC43 and earlier
Date: Tue, 22 Nov 2016 21:36:43 -0500	[thread overview]
Message-ID: <20161123023643.7106-2-konrad@kernel.org> (raw)
In-Reply-To: <20161123023643.7106-1-konrad@kernel.org>

>From Laszlo:
" change the catch-all (*) to GCC5, from GCC44
- remove the (5.*.*) pattern from GCC49
- add a branch (with multiple patterns if necessary) for gcc-4.3 and
  earlier to exit with an error message / failure (those compiler
  versions are unsupported)"

Bugzilla: https://bugzilla.tianocore.org/show_bug.cgi?id=62
Contributed-under: TianoCore Contribution Agreement 1.0
Signed-off-by: Konrad Rzeszutek Wilk <konrad@kernel.org>
---
v1: First submission
v2: Redo it per Laszlo suggestion.

 OvmfPkg/build.sh | 11 +++++++++--
 1 file changed, 9 insertions(+), 2 deletions(-)

diff --git a/OvmfPkg/build.sh b/OvmfPkg/build.sh
index eb5eb73..cab7c70 100755
--- a/OvmfPkg/build.sh
+++ b/OvmfPkg/build.sh
@@ -83,6 +83,13 @@ case `uname` in
   Linux*)
     gcc_version=$(gcc -v 2>&1 | tail -1 | awk '{print $3}')
     case $gcc_version in
+      4.1.[0-0].*|4.2.*|4.3.*)
+        echo OvmfPkg requires GCC4.4 or later
+        exit 1
+        ;;
+      4.4.*)
+        TARGET_TOOLS=GCC44
+        ;;
       4.5.*)
         TARGET_TOOLS=GCC45
         ;;
@@ -95,11 +102,11 @@ case `uname` in
       4.8.*)
         TARGET_TOOLS=GCC48
         ;;
-      4.9.*|4.1[0-9].*|5.*.*)
+      4.9.*)
         TARGET_TOOLS=GCC49
         ;;
       *)
-        TARGET_TOOLS=GCC44
+        TARGET_TOOLS=GCC5
         ;;
     esac
 esac
-- 
2.9.3



  reply	other threads:[~2016-11-23  2:36 UTC|newest]

Thread overview: 13+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2016-11-21 15:56 [PATCH RESEND] Fix TianoCore building under Fedora Core 25 Konrad Rzeszutek Wilk
2016-11-21 15:56 ` [PATCH RESEND] OvmfPkg/build.sh: Use GCC49 toolchain with GCC 6.* Konrad Rzeszutek Wilk
2016-11-21 16:20   ` Ard Biesheuvel
2016-11-21 20:07     ` Laszlo Ersek
2016-11-23  2:36       ` [PATCH v2] Compile TianoCore under Fedora Core 25 Konrad Rzeszutek Wilk
2016-11-23  2:36         ` Konrad Rzeszutek Wilk [this message]
2016-11-23  3:37           ` [PATCH v2] OvmfPkg/build.sh: Make GCC5 the default toolchain, catch GCC43 and earlier Jordan Justen
2016-11-23 14:55           ` Laszlo Ersek
2016-11-23 14:59             ` Laszlo Ersek
     [not found]             ` <20161123150126.GA21907@char.us.oracle.com>
2016-11-23 21:08               ` [Xen-devel] " Laszlo Ersek
2016-11-24  1:15                 ` PATCH v3] Compile TianoCore under Fedora Core 25 Konrad Rzeszutek Wilk
2016-11-24  1:15                   ` [PATCH v3] OvmfPkg/build.sh: Make GCC5 the default toolchain, catch GCC43 and earlier Konrad Rzeszutek Wilk
2016-11-24  8:51                     ` Laszlo Ersek

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-list from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20161123023643.7106-2-konrad@kernel.org \
    --to=devel@edk2.groups.io \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox